package com.ematou.wxbase.config;

import com.ematou.wxbase.common.utils.DateUtils;
import com.ematou.wxbase.entity.OperationRecord;
import com.ematou.wxbase.entity.TokenRecord;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import java.util.Date;

/**
 * @author lhm
 * @version 1.0
 * 2021-04-30 11:22
 */
public class WxGeneralConfig {

    @Value("${wx.general.appId}")
    private String appId;

    @Value("${wx.general.appSecret}")
    private String appSecret;

    @Value("${wx.general.grantType}")
    private String grantType;

    @Value("${wx.general.url}")
    private String url;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getGrantType() {
        return grantType;
    }

    public void setGrantType(String grantType) {
        this.grantType = grantType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
