package com.ematou.wxbase.controller;

import com.ematou.wxbase.common.web.R;
import com.ematou.wxbase.service.EidTokenRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * E证通 token 记录控制器
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/16 17:40
 */
@RestController
@RequestMapping("/eid")
public class EidTokenRecordController {

    @Autowired
    private EidTokenRecordService tokenRecordService;

    @GetMapping("/{merchSn}")
    public R getToken(@PathVariable String merchSn) {
        String token = tokenRecordService.getEidToken(merchSn);
        return new R<String>().success(token);
    }

}

